Page MenuHomePhabricator

"Stepper" numeric input (numeric field with up/down controls) in OOjs-UI (NumberInputWidget)
Closed, ResolvedPublic1 Story Points

Description

From the LSG:

Stepper controls allow for numeric input as well as up and down buttons which increase or decrease the value in the field by a fixed amount. The length of the input field component should be relative to the desired character length.

Details

Related Gerrit Patches:

Event Timeline

werdna raised the priority of this task from to Needs Triage.
werdna updated the task description. (Show Details)
werdna added a project: UI-Standardization.
Jdforrester-WMF triaged this task as Lowest priority.May 4 2015, 6:08 PM

Image from M44 for convenience:

matmarex renamed this task from "Stepper" numeric input (numeric field with up/down controls) in OOjs-UI to "Stepper" numeric input (numeric field with up/down controls) in OOjs-UI (NumberInputWidget).May 23 2015, 7:54 AM
matmarex set Security to None.
matmarex added a subscriber: Anomie.

Should be higher priority if https://gerrit.wikimedia.org/r/212018 is going to forbid some input types.

Change 213271 had a related patch set uploaded (by Anomie):
Add StepperWidget for numeric input

https://gerrit.wikimedia.org/r/213271

Jdforrester-WMF closed this task as Resolved.May 30 2015, 7:31 PM
Jdforrester-WMF assigned this task to Anomie.
Jdforrester-WMF raised the priority of this task from Lowest to Medium.
Jdforrester-WMF edited a custom field.

Change 213271 merged by jenkins-bot:
Add NumberInputWidget for numeric input

https://gerrit.wikimedia.org/r/213271

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Jun 3 2015, 9:13 PM